# Uses of Interface
org.opensaml.xacml.policy.ObligationType

Packages that use ObligationType
Package
Description
org.opensaml.xacml.ctx.provider.impl
Implementations of XACML functionality.
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of ObligationType in org.opensaml.xacml.ctx.provider.impl

Methods in org.opensaml.xacml.ctx.provider.impl that return types with arguments of type ObligationType
Modifier and Type
Method
Description
`protected Map<String,ObligationType>`
ObligationService.`preprocessObligations(ObligationProcessingContext context)`
Preprocesses the obligations returned within the result.
Methods in org.opensaml.xacml.ctx.provider.impl with parameters of type ObligationType
Modifier and Type
Method
Description
`abstract void`
BaseObligationHandler.`evaluateObligation(ObligationProcessingContext context, ObligationType obligation)`
Evaluates the obligation represented by this handler.

## Uses of ObligationType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type ObligationType
Modifier and Type
Method
Description
`List<ObligationType>`
ObligationsType.`getObligations()`
Get the list of obligations.

## Uses of ObligationType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement ObligationType
Modifier and Type
Class
Description
`class`
`ObligationTypeImpl`
Implementation for `ObligationType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type ObligationType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<ObligationType>`
ObligationsTypeImpl.`obligations`
A list of the obligations.
Methods in org.opensaml.xacml.policy.impl that return ObligationType
Modifier and Type
Method
Description
`ObligationType`
ObligationTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ObligationType`
ObligationTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type ObligationType
Modifier and Type
Method
Description
`List<ObligationType>`
ObligationsTypeImpl.`getObligations()`
Get the list of obligations.